OpenTTD Source: AirportTileSpec Struct Reference

OpenTTD Source 14.0-beta1

Static Public Member Functions | Data Fields | Static Private Attributes | Friends
AirportTileSpec Struct Reference

Defines the data structure of each individual tile of an airport. More...

`#include <newgrf_airporttiles.h>`

## Static Public Member Functions
static const AirportTileSpec * | Get (StationGfx gfx)
| Retrieve airport tile spec for the given airport tile. More...
static const AirportTileSpec * | GetByTile (TileIndex tile)
| Retrieve airport tile spec for the given airport tile. More...
static void | ResetAirportTiles ()
| This function initializes the tile array of AirportTileSpec.

## Data Fields
AnimationInfo | animation
| Information about the animation.
StringID | name
| Tile Subname string, land information on this tile will give you "AirportName (TileSubname)".
uint8_t | callback_mask
| Bitmask telling which grf callback is set.
uint8_t | animation_special_flags
| Extra flags to influence the animation.
bool | enabled
| entity still available (by default true). newgrf can disable it, though
GRFFileProps | grf_prop
| properties related the the grf file

## Static Private Attributes
static AirportTileSpec | tiles [NUM_AIRPORTTILES]

## Friends
void | AirportTileOverrideManager::SetEntitySpec (const AirportTileSpec *airpts)

## Detailed Description

Defines the data structure of each individual tile of an airport.

Definition at line 68 of file newgrf_airporttiles.h.

## Member Function Documentation

## ◆ Get()

const AirportTileSpec * AirportTileSpec::Get | ( | StationGfx | gfx | ) |
| static

Retrieve airport tile spec for the given airport tile.

Parameters

  gfx | index of airport tile

Returns
  A pointer to the corresponding AirportTileSpec

Definition at line 37 of file newgrf_airporttiles.cpp.

References lengthof, and MAX_UVALUE.

Referenced by GetAirportTileIDAtOffset(), GetByTile(), NIHAirportTile::GetGRFID(), NIHAirportTile::GetSpec(), GetTranslatedAirportTileID(), and NIHAirportTile::IsInspectable().

## ◆ GetByTile()

const AirportTileSpec * AirportTileSpec::GetByTile | ( | TileIndex | tile | ) |
| static

Retrieve airport tile spec for the given airport tile.

Parameters

  tile | The airport tile.

Returns
  A pointer to the corresponding AirportTileSpec.

Definition at line 50 of file newgrf_airporttiles.cpp.

References Get(), and GetAirportGfx().

Referenced by NIHAirportTile::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_airporttiles.h
- src/newgrf_airporttiles.cpp